#
# spec file for package mISDN (Version 1.1.9.2)
#
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 capi4linux capisuite coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kernel-source kernel-syms klogd less libacl libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libstdc++41 libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone udev unzip util-linux vim zlib zlib-devel


Name:           mISDN
BuildRequires:  kernel-source kernel-syms udev newt-devel wget  module-init-tools 
PreReq:         /bin/cat /bin/rm /usr/bin/grep
URL:            http://www.misdn.org
Summary:       Modular ISDN driver architecture
Version:        1_1_9_2
Release:        2.13
License:        GNU General Public License (GPL)
Group:          Productivity/Telephony/Utilities
Requires:       dahdi-linux-kmp-default dahdi-linux dahdi-linux-devel dahdi-tools libtonezone-devel  
BuildRequires:       dahdi-linux-kmp-default dahdi-linux dahdi-linux-devel dahdi-tools libtonezone-devel
Excludearch:  s390 s390x
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:	mISDN-%{version}.tar.bz2      
Source1:        preamble
Patch0:		mISDN-1_1_9.1.diff

%suse_kernel_module_package -p %_sourcedir/preamble kdump um iseries64 ppc64 debug 


%description
This package provides the mISDN sourcecode for kernelmodules


Authors:
--------
        Karsten Keil

%package KMP
Summary:        Misdn  Telephony Interface Drivers
Group:          System/Kernel

%description KMP
This package contains the kernel modules of the mISDN Telephony
Interface. For details see the mISDN package.



Authors:
-------- 
        Karsten Keil

%package devel  
Summary: Development files for mISDN  
Group:   Development/Libraries  
PreReq: mISDN 
   
%description devel  
This package contains the header files and libraries necessary for  
developing applications which use mISDN.  
   
   
Install mISDN-devel if you want to develop applications which depend on  
mISDN.  
   
Authors:  
--------  
    Karsten Keil  

%prep
%setup -n mISDN-%{version}
%patch -p1


%build
 #make misdn-init INSTALL_PREFIX="%{buildroot}" LIBDIR="%{_libdir}" KDIR=/usr/src/linux-obj/%_target_cpu/default   
#cd ..
#mkdir -p obj
#for flavor in %flavors_to_build; do
  #rm -rf obj/$flavor
  #cp -r mISDN-%{version} obj/$flavor
  #make -C $PWD/obj/$flavor LIBDIR=%{_libdir}  KDIR=/usr/src/linux-obj/%_target_cpu/$flavor install \
       #M=$PWD/obj/$flavor KERNELPATH=/usr/src/linux-obj/%_target_cpu/$flavor
#done
export EXTRA_CFLAGS='-DVERSION=\"%version\"'
 make misdn-init INSTALL_PREFIX="%{buildroot}" LIBDIR="%{_libdir}" MODS=/usr/src/linux-obj/%_target_cpu/default KDIR=/usr/src/linux-obj/%_target_cpu/default   install
cd ..
mkdir -p obj
for flavor in %flavors_to_build; do
    rm -rf obj/$flavor
    cp -r mISDN-%{version} obj/$flavor
    #make -C /usr/src/linux-obj/%_target_cpu/$flavor  \
        #M=$PWD/obj/$flavor
    make -C obj/$flavor INSTALL_PREFIX="%{buildroot}" LIBDIR="%{_libdir}" KDIR=/usr/src/linux-obj/%_target_cpu/$flavor MODS=/usr/src/linux-obj/%_target_cpu/$flavor 
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
cd ..
for flavor in %flavors_to_build; do
    make -C /usr/src/linux-obj/%_target_cpu/$flavor INSTALL_PREFIX="%{buildroot}" LIBDIR="%{_libdir}" modules_install \
        M=$PWD/obj/$flavor/drivers/isdn/hardware/mISDN
done




%clean
rm -rf %buildroot

%post
/sbin/ldconfig
ln -sf /usr/sbin/mISDN /etc/init.d/mISDN

%postun -p /sbin/ldconfig


%files 
%defattr(-,root,root,-)
/usr/lib/mISDN/mISDN.conf.bnx.xsl
/usr/lib/mISDN/mISDN.conf.hfcmulti.xsl
/usr/lib/mISDN/mISDN.conf.inc.xsl
/usr/lib/mISDN/mISDN.conf.l1oip.xsl
/usr/lib/mISDN/mISDN.conf.mISDN_debugtool.xsl
/usr/lib/mISDN/mISDN.conf.mISDN_dsp.xsl
/usr/lib/mISDN/mISDN.conf.singlepci.xsl
/usr/lib/mISDN/mISDN.conf.xsl
/usr/lib/mISDN/mISDN.conf.hfcsusb.xsl
/usr/lib/mISDN/mISDN.conf.xhfc.xsl
/usr/sbin/mISDN
/usr/sbin/misdn-init
/etc/modprobe.d/mISDN
/etc/modules.d/mISDN

%files devel  
%defattr(-,root,root,-)  
/usr/include/linux/isdn_compat.h
/usr/include/linux/mISDNdebugtool.h
/usr/include/linux/mISDNif.h

%changelog -n mISDN
* Wed Jan 26 2011 Carsten Schoene <cs@linux-administrator.com> - 1_1_9_2-1
- update to release 1.1.9.2

* Sat Mar 28 2009 Carsten Schoene <cs@linux-administrator.com> - 1_1_9.1-1
- update to release 1.1.9.1
* Sun Mar 23 2008 Carsten Schoene <cs@linux-administrator.com>
- added symlink to mISDN in initdir
* Wed Feb 06 2008 Carsten Schoene <cs@linux-administrator.com>
- version bump to 1.1.7.2
* Fri Jan 04 2008 - vittorio@vitsoft.bz
- added support for Openvox B210P
* Tue Nov 27 2007 - vittorio@vitsoft.bz
- New mISDN for mISDN 1.1.7
* Mon Nov 05 2007 - vittorio@vitsoft.bz
- New mISDN for mISDN 1.1.6
* Mon Aug 16 2007 - vittorio@vitsoft.bz
- New mISDN for mISDN 1.1.5 
